<?
/* Mmmm !!! A database-driven website with HTML/php3/mySQL
 * (C) Copyright Pierre Dittgen	1999-2000
 * Pierre.Dittgen@bigfoot.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as by published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *                         
 * This program is distributed in the hope that it will entertaining,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.   
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

	include 'cfg/setenv.php3';
	require "class_bd.php3";
	AssertBd();
?>
<?
	// Includes
	require "class_restobd.php3";
	require "class_commentairebd.php3";

	// Test de la valeur de la base
	switch ($base)
	{
		case 'prod':
			$baseC	= 'prod';
			break;
		case 'tempo':
			$baseC	= 'tempS';
			break;
		default:
			echo "script_del_comment.php3 : base inconnue ($base)...\n";
			exit;
	}

	// Premire tape 
	if ($step == ""):

		// Rcupration des infos sur le commentaire  virer
		$cb = new commentaireBd();
		$comm	= $cb->GetCommentaireById($id, $baseC);

		// Et le resto associ tant que l'on y est
		$rb	= new restoBd();
		$resto	= $rb->GetRestoById($comm['resto_id'], 'prod');
?>
<html>
<head>
<title>
<?
	echo "Suppression du commentaire de ", $comm['pseudo'], " sur ", $resto['nom'];
?>
</title>
<?
	require "lib_misc.php3";
	echo StyleSheet("../../css/admin.css");
?>
</head>
<body>
<h1>Mmmm !!!<br>
Suppression de commentaire</h1>
<h2>Attention !!!</h2>
&Ocirc; Administrateur, tu es sur le point de supprimer le commentaire :<br>
<pre><font size=+2>
<?
	echo "Auteur : ", $comm['pseudo'];
	if ($comm['e_mail'] != "") echo " (", $comm['e_mail'], ")";
	echo "\nA propos de ", $resto['nom'], "\n";
	echo "Bafouille : ", $comm['commentaire'], "\n";
?>
</pre>
<h2>Ton choix est crucial</h2>
<?
	echo lien(sprintf("$retour?admin=1&id=%d", $resto['id']), "Retour"), "\n";
	echo lien("script_del_comment.php3?id=$id&base=$base&step=done&resto=" . $resto['id'] . "&retour=" . urlencode($retour),
		 	  "Supprimer le commentaire");
?>
</body>
</html> 
<?
	// Cette fois-ci on vire vraiment le commentaire
	elseif ($step == 'done'):
		
		// On vire le commentaire
		$cb	= new commentaireBd();
		$cb->DeleteCommentaire($id, $baseC);

		// Sur quelle page doit-on revenir ?
		$url_retour = "$retour?admin=1&id=$resto";

		// Puis on redirige le browser sur la page de retour
		// (je suis assez fier de cette astuce :-)
		header("Location: $url_retour");
?>
<html>
<head>
<title>
Suppression effectue
</title>
<?
	require "lib_misc.php3";
	echo StyleSheet('admin.css');

	echo "<meta http-equiv=\"Refresh\" content=\"2; url='$url_retour'\">\n";
?>
</head>
<body>
<h1>C'est fait</h1>
Si vous n'&ecirc;tes pas redirig automatiquement dans deux secondes, cliquer
sur 
<?
	echo lien($url_retour, 'Retour');
?>
</body>
</html> 
<?
	endif;
?>
