<?
/* Mmmm !!! A database-driven website with HTML/php3/mySQL
 * (C) Copyright Pierre Dittgen	1999-2000
 * Pierre.Dittgen@bigfoot.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as by published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *                         
 * This program is distributed in the hope that it will entertaining,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.   
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

	include 'cfg/setenv.php3';
	require "class_bd.php3";
	AssertBd();
?>
<html>
<head>
<? 
	require "lib_misc.php3";
	echo StyleSheet('../css/resto.css');
?>
<title>
Mmmm !!! un nouveau commentaire !
</title>
</head>
<body>
<h1>Mmmm !!!<br>
Un nouveau commentaire !</h1>
<?
	require "class_commentaire.php3";
	require "class_commentairebd.php3";

	// constitution de l'objet commentaire
	// d'aprs les infos vrifies de l'tape prcdente
	$comm	= new Commentaire();

	// On donne l'identificateur du resto
	//$comm->set('resto_id', $resto);

	// Si c'est la premire tape 
	// de vrification du formulaire...
	if ($step == 'first')
	{
		echo "<h2>Remarques</h2>\n";
		// Si les champs principaux sont renseigns
		if ($comm->infosOk())
		{
			// Si pas d'erreur
			echo "Merci d'avoir rempli consciencieusement ce formulaire<br>\n";

			// Intitul des boutons de formulaires
			$submit1	= "Envoyer !";
			$submit2	= "Faire une modification";

			// On teste les warnings
			if (is_array($comm->warnings()))
			{
				echo "Malgr votre vigilance de tous les instants, quelques\n";
				echo "informations sont passes  la trappe...<br>\n";
				echo "Entre autres :<br>\n";
				echo "<ul>\n";
				
				$warns = $comm->warnings();
				for ($i=0; $i<count($warns); $i++)
					echo "<li>", $warns[$i], "\n";

				echo "</ul>\n";
				echo "Elles ne sont pas indispensables mais si c'est un oubli,\n";
				echo "n'hsitez pas  complter le formulaire et  le\n";
				echo "renvoyer, merci.\n";

				$submit1	= "Envoyer tout de m&ecirc;me";
				$submit2	= "Complter les infos manquantes";
			}

			// Et des infos de l'expditeur
			echo "<h2>Votre commentaire</h2>\n";
			$comm->printDetail();

			// Envoyer tel quel
			echo "<table border=0><tr><td>";
			echo '<form action="script_check_comment.php3" method="post">', "\n";
			echo $comm->hidden();
			echo "<input type=hidden name=step value=done>\n";
			echo "<input type=submit value=\"$submit1\">\n";
			echo "</form>\n";

			// Modifier les infos
			echo "</td><td>";
			echo "<form action=\"script_add_comment.php3\" method=\"post\">\n";
			echo $comm->hidden();
			echo "<input type=submit value=\"$submit2\">\n";
			echo "</form>\n";

			// Retour au sommaire
			echo "</td><td>";
			echo lien('sommaire', 'Retour au sommaire');
			echo "</td></tr></table>\n";
		}
		// Il y a des erreurs
		else
		{
			// Rcupration des erreurs

			echo "Dans votre empressement  nous faire connaitre ce nouveau\n";
			echo "resto, vous en avez oubli des informations importantes.<br>\n";
			echo "Et plus prcisment :<br>\n";
			echo "<ul>\n";
			$errs = $comm->errors();
			for ($i=0; $i<count($errs); $i++)
				echo "<li>", $errs[$i], "\n";
			echo "</ul>\n";

			// Et des infos de l'expditeur
			echo "<h2>Votre commentaire</h2>\n";
			$comm->printDetail();

			// Modifier les infos
			echo "<table><tr><td>";
			echo "<form action=\"script_add_comment.php3\" method=\"post\">\n";
			echo $comm->hidden();
			echo "<input type=submit value=\"Complter les infos manquantes\">\n";
			echo "</form>\n";

			// Retour au sommaire
			echo "</td><td>";
			echo lien('sommaire', "Retour au sommaire");
			echo "</td></tr></table>\n";
		}

	}
	// Si on vient d'ajouter un commentaire...
	elseif ($step == 'done')
	{
		require "class_HTMLelts.php3";

		// Ajout de la date et de l'heure
		$comm->set('date_entree', date("YmdHis"));

		// table commentaires
		$cb		= new commentaireBd();

		// Ajout dans la base temporaire
		$cb->AddCommentaire($comm->data(), 'tempS');

		// Merci...
		echo "<h2>Merci ", $comm->get("pseudo"), " !</h2>\n";

		// Affiche une info disant que le commentaire a bien t ajout...
		echo "Le commentaire a bien t ajout dans la \n";
		echo "base de <tt>Mmmm !!!</tt>. Il sera bient&ocirc;t disponible aux\n";
		echo "autres internautes.<br>\n";
		if ($comm->get("e_mail") != "")
		{
			echo "Nous vous enverrons d'ailleurs un e-mail ds que le commentaire\n";
			echo "sera en ligne. Merci et  bient&ocirc;t !<br>\n";
		}
		else
		{
			echo "Consultez rgulirement <tt>Mmmm !!!</tt> pour vrifier\n";
			echo "l'arrive de votre commentaire. La prochaine fois, laissez votre\n";
			echo "adresse e-mail si vous voulez &ecirc;tre prvenus.<br>\n";
		}

		// Retour au sommaire
		echo lien('sommaire', 'retour au sommaire');
	}


?>
</body>
</html> 
