<?
/* Mmmm !!! A database-driven website with HTML/php3/mySQL
 * (C) Copyright Pierre Dittgen	1999-2000
 * Pierre.Dittgen@bigfoot.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as by published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *                         
 * This program is distributed in the hope that it will entertaining,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.   
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

	include 'cfg/setenv.php3';
	require "class_bd.php3";
	AssertBd();
?>
<html>
<head>
<? 
	require "lib_misc.php3";
	if (isset($admin))
			echo StyleSheet('../css/admin.css');
	else	echo StyleSheet('../css/resto.css');
?>
<title>
Mmmm !!! Rsultat de la recherche !
</title>
</head>
<body>
<h1>Mmmm !!!<br>
rsultat de la recherche !</h1>

<?
	// Pas de critre de recherche
	// ou pas de valeur
	if (	(($critere == "par_nom") && ($nom == ""))
		||	(($critere == "par_gourmet") && ($gourmet == ""))
		||	(($critere == "par_date") && ($dateDebut == "") && ($dateFin == ""))
		||	(($critere == "par_mot_du_commentaire") && ($mot == ""))
		||	(($critere == "par_multi") && ($isRegion == "")
			&& ($isTaille == "") && ($isAmbiance == "") && ($isPrix == ""))
		||	(($critere != "par_nom") && ($critere != "par_gourmet")
			&& ($critere != "par_date") && ($critere != "par_mot_du_commentaire")
			&& ($critere != "par_multi"))	
		):
?>
<h2>Erreur...</h2>
N'auriez-vous pas oubli de remplir le(s) case(s) avant d'appuyer sur le bouton
'Rechercher' ?
Je crois bien que oui (sans toutefois trop vouloir m'avancer...)<br>
Toujours
est-il que sans infos m&ecirc;me le meilleur moteur de recherche du monde (et
on en est encore loin...) ne peut donner que ce qu'il a, c'est  dire RIEN!
<br>
<?
	echo lien('script_search_resto.php3', "Recommencer");
	echo lien('sommaire', "Retour au sommaire");
?>
</body>
</html>
<?
	// Critre valide
	else:

		// handler de fichier resto
		require "class_resto.php3";
		require "class_restobd.php3";
		$rb	= new restoBd();

		switch ($critere)
		{
			case 'par_nom':
				echo "<h2>Recherche sur le nom du resto (<i>$nom</i>)</h2>\n";
				$nb_restos = $rb->SearchRestos('par_nom', $nom);
				break;

			case 'par_gourmet':
				echo "<h2>Recherche sur le nom du gourmet (<i>$gourmet</i>)</h2>\n";
				$nb_restos = $rb->SearchRestos('par_gourmet', $gourmet);
				break;

			case 'par_date':
				if ($dateDebut == "")
				{	$dateDebut = $dateFin;	$dateFin = ""; }
				if (!ereg("(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[0-2])/([0-9]{4})", $dateDebut, $tab))
				{
					echo "<h2>Recherche par date</h2>\n";
					echo "Date invalide : '$dateDebut'<br>\n";
					$nb_restos = 0;
					break;
				}
				else $date_rech1 = sprintf("%s-%s-%s", $tab[3], $tab[2], $tab[1]);
				if ($dateFin != "" && !ereg("(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[0-2])/([0-9]{4})", $dateFin, $tab))
				{
					echo "<h2>Recherche par date</h2>\n";
					echo "Date invalide : '$dateFin'<br>\n";
					$nb_restos = 0;
					break;
				}
				else $date_rech2 = sprintf("%s-%s-%s", $tab[3], $tab[2], $tab[1]);
				if ($dateFin == "")
				{
					echo "<h2>Recherche par date (depuis le <i>$dateDebut</i>)</h2>\n";
					$nb_restos = $rb->SearchRestos('par_date_debut', $date_rech1);
				}
				else
				{
					echo "<h2>Recherche par date (entre le <i>$dateDebut</i> et le <i>$dateFin</i>)</h2>\n";
					$nb_restos = $rb->SearchRestos('par_periode', $date_rech1, $date_rech2);
				}

				break;	

			case 'par_mot_du_commentaire':
				echo "<h2>Recherche sur un mot du commentaire (<i>$mot</i>)</h2>\n";
				$nb_restos = $rb->SearchRestos('par_mot_du_commentaire', $mot);
				break;

			case 'par_multi':
				echo "<h2>Recherche multi-critres</h2>\n";
				echo "(<i>";
				$crit = 0;
				if (($isRegion != "") && ($region != 0))
				{
					echo "dans $libelleArrdt[$region]";
					$crit++;
				} else $region=-1;
				if ($isTaille != "")
				{
					if ($crit)	echo ", ";
					echo "taille du resto : $tailleResto[$taille]";
					$crit++;
				} else $taille=-1;
				if ($isAmbiance != "")
				{
					if ($crit)	echo ", ";
					echo "ambiance sonore : $ambianceResto[$ambiance]";
					$crit++;
				} else $ambiance=-1;
				if ($isPrix != "")
				{
					if ($crit)	echo ", ";
					echo "fourchette de prix : $prixResto[$prix]";
					$crit++;
				} else $prix=-1;
				echo "</i>)<br>\n";
				$nb_restos = $rb->SearchRestos('par_multi', $region, $taille, $ambiance, $prix);
				break;
		}

		if ($nb_restos == 0)
		{
			echo "Dsol. Aucun resto trouv...<br>\n";
		}
		elseif ($nb_restos > 50)
		{
			echo "Dsol le nombre de restos rpondant  la recherche ",
				 "dpasse 50 (en fait le moteur en a trouv $nb_restos). ",
				 "Impossible de les afficher tous. Merci de raffiner vos ",
				 "critres de recherche.<br>";
		}
		else
		{
			echo "$nb_restos resto(s) rpond(ent) au critre de recherche<br>\n"; 
			echo "Cliquer sur le nom du resto pour avoir plus de dtail...<br>\n";

			echo "<ul>\n";
			for ($i=0; $i<$nb_restos; $i++)
			{
				// rcupration du resto
				$resto		= $rb->GetRestoResult();
				$o_resto	= new Resto($resto);

				// et affichage
				$o_resto->printResume();
			}
			echo "</ul>\n";
		}

		// Liens
		echo "[ ",
			 lien('script_search_resto.php3', 'Nouvelle recherche'),
		" ]\n[ ",
		lien('sommaire', 'Retour au sommaire'),
		" ]";
?>
<?
	endif;
?>
