<?
/* Mmmm !!! A database-driven website with HTML/php3/mySQL
 * (C) Copyright Pierre Dittgen	1999-2000
 * Pierre.Dittgen@bigfoot.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as by published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *                         
 * This program is distributed in the hope that it will entertaining,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.   
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

	include 'cfg/setenv.php3';
	require "class_bd.php3";
	AssertBd();
?>
<html>
<head>
<? 
	require "lib_misc.php3";
	if (isset($admin))
			echo StyleSheet('../css/admin.css');
	else	echo StyleSheet('../css/resto.css');
?>
<title>
Mmmm !!! Recherche d'un resto !
</title>
</head>
<body>
<h1>Mmmm !!!<br>
Recherche d'un resto !</h1>

<?
	if ((!isset($admin)) && (!$dejavu)):
?>
<h2>Quelques explications</h2>
Vous avez ici la possibilit de rechercher un resto suivant son nom (ou une 
partie de son nom), le nom du gourmet qui l'a inscrit dans Mmmm !!!, suivant
sa date d'inscription et m&ecirc;me un mot d'un commentaire associ au resto.
<br>
Si vous en voulez plus, dites le explicitement,
<a href="mailto:mmmm@free.fr">envoyez-nous un mail</a>. Bonne recherche !
<?
	endif;
?>
<h2>Recherche sur le nom du resto</h2>
Vous connaissez le nom du resto mais vous avez oubli o il se trouve, son
numro de tlphone et ce qu'on y mange... Entrer le nom dans la case
ci-dessous et appuyez sur Rechercher.<br>
Mmmm !!! ne fait pas la diffrence entre majuscules entre minuscules et
recherche aussi des partie de mots. Si vous entrez '<b>pa</b>', Mmmm !!! vous
trouvera 'Le <b>Pa</b>rc', 'L'arbre  <b>pa</b>labres', 'Aara<b>pa</b>na'...

<form method="post" action="script_print_results.php3" >
Nom du resto : 
<input type="text" name="nom">
<input type="hidden" name="critere" value="par_nom">
<input type="submit" value="Rechercher">
</form>

<h2>Recherche sur le nom du gourmet</h2>
Vous avez ajout un resto dans Mmmm !!! et vous voulez montrer la page  vos
amis pour les impressionner... Entrer votre nom (ou le pseudo que vous avez
utilis pour ajouter le resto) dans la case prvue  cet effet et appuyez sur
Rechercher.<br>
<form method="post" action="script_print_results.php3" >
Nom du gourmet : 
<input type="text" name="gourmet">
<input type="hidden" name="critere" value="par_gourmet">
<input type="submit" value="Rechercher">
</form>

<h2>Recherche sur la date d'entre du resto</h2>
Ouh la la, a se complique... Vous cherchez tous les restos ajouts depuis une
certaine date, ou durant une priode donne.<br>
Pour rechercher tous les restos ajouts dans Mmmm !!! depuis une certaine date,
inscrivez cette date (sous la forme jj/mm/aaaa. Ex : 09/11/1989 signifie 9
novembre 1989) dans la premire case et laissez la seconde vide. Si vous 
recherchez tous les restos ajouts entre deux dates, inscrivez les deux dates
dans les deux cases.
<form method="post" action="script_print_results.php3" >
Date de dbut : 
<input type="text" name="dateDebut">
Date de fin : 
<input type="text" name="dateFin">
<input type="hidden" name="critere" value="par_date">
<input type="submit" value="Rechercher">
</form>

<h2>Recherche sur un mot du commentaire</h2>
Vous recherchez tous les restos dont le commentaire contient le mot 'dlicieux'
? Tapez le dans la case ci-dessous et Mmmm !!! devrait les retrouver
(normalement, si tout se passe correctement...)
<form method="post" action="script_print_results.php3" >
Mot du commentaire :
<input type="text" name="mot">
<input type="hidden" name="critere" value="par_mot_du_commentaire">
<input type="submit" value="Rechercher">
</form>

<h2>Recherche multi-critres</h2>
Vous recherchez un resto tranquille, petit et pas trop cher dans le 5
arrondissement,
slectionnez les critres de recherche et cliquez sur Rechercher. Attention,
seul les critres dont la case est coch seront pris en compte !
<?
	require "class_HTMLelts.php3";
	require "const_resto.php3";

	$Harr	= new HEselect("region", $libelleArrdt);
	$Htai	= new HEselect("taille", $tailleResto);	
	$Hamb	= new HEselect("ambiance", $ambianceResto);
	$Hpri	= new HEselect("prix", $prixResto);

?>
<form method="post" action="script_print_results.php3">
<table border=0>
<tr><td>
<input type="checkbox" name="isRegion" checked>
Arrondissement ou rgion :
<td>
<? echo $Harr->normal(); ?><br>
<tr><td>
<input type="checkbox" name="isTaille" checked>
Taille du resto :
<td>
<? echo $Htai->normal(); ?><br>
<tr><td>
<input type="checkbox" name="isAmbiance" checked>
Ambiance sonore :
<td>
<? echo $Hamb->normal(); ?><br>
<tr><td>
<input type="checkbox" name="isPrix" checked>
Fourchette de prix :
<td>
<? echo $Hpri->normal(); ?><br>
</tr></table>
<input type="hidden" name="critere" value="par_multi">
<input type="submit" value="Rechercher">
</form>
<?
	echo lien('sommaire', 'Retour au sommaire');
?>
<hr>
<font size=-1><i>Page remise  jour le 11/12/1999</i></font>
</body>
</html> 
