<?
/* Mmmm !!! A database-driven website with HTML/php3/mySQL
 * (C) Copyright Pierre Dittgen	1999-2000
 * Pierre.Dittgen@bigfoot.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as by published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *                         
 * This program is distributed in the hope that it will entertaining,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.   
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

	include 'cfg/setenv.php3';
	require "class_bd.php3";
	AssertBd();
?>
<html>
<head>
<? 
	require "lib_misc.php3";
	echo StyleSheet('../../css/admin.css');
?>
<title>
Mmmm ! un nouveau resto !
</title>
</head>
<body>
<h1>Mmmm !<br>
Un nouveau resto !</h1>

<?
	// Si on est en mode admin,
	// on passe l'id du resto
	if (isset($ID))
	{
		include "class_restobd.php3";
		include "class_commentairebd.php3";

		$rb		= new restoBd();
		$rt		= $rb->GetRestoById($ID, 'temp');
		$cb		= new commentaireBd();
		$ct		= $cb->GetCommentaireById($ID, 'tempA');

		extract($rt, EXTR_OVERWRITE);
		extract($ct, EXTR_OVERWRITE);
	}

	// Au boulot
	require "class_HTMLelts.php3";
	require "const_resto.php3";

	// Cration des diffrents lments
	// relatifs au resto
	$Hnom	= new HEtext("nom");
	$Hadr	= new HEtext("adresse");
	$Hvil	= new HEtext("ville");
	$Hpay	= new HEtext("pays");
	$Htel	= new HEtext("telephone");
	$Harr	= new HEselect("region", $libelleArrdt);
	$Hmet	= new HEtext("metro");
	$Hgen	= new HEtext("genre");
	$Htai	= new HEselect("taille", $tailleResto);	
	$Hamb	= new HEselect("ambiance", $ambianceResto);
	$Hhor	= new HEtext("horaires");
	$Hpri	= new HEselect("prix", $prixResto);

	// et  l'expditeur
	$Hpse	= new HEtext("pseudo");
	$Hema	= new HEtext("e_mail");
	$Hsec	= new HEcheckbox("prive");
	$Hcom	= new HEtextarea("commentaire", array('cols' => 80, 'rows' => 10));
	$Havi	= new HEradios("avis", $explicationAvis);
?>

<!-- Le resto ---------------------------------------------------------------->
<h2>Et ce resto ?</h2>

<!-- Localisation ------------------------------------------------------------>
<table border=0>
<form name=resto action="script_check_resto.php3" method="post">
<input type=hidden name="step" value="first">
<?
	echo "<input type=hidden name=id value=$id>\n";
?>
<tr><td>Nom : </td><td><? echo $Hnom->normal(); ?></td></tr>
 
<tr><td>Adresse : </td><td><? echo $Hadr->normal(); ?></td></tr>
<tr><td>Ville : </td><td><? echo $Hvil->normal(); ?></td></tr>
<tr><td>Pays : </td><td><? echo $Hpay->normal(); ?></td></tr>
<tr><td>Arrondissement : </td><td><? echo $Harr->normal(); ?></td></tr>
<tr><td>Tlphone : </td><td><? echo $Htel->normal(); ?></td></tr>
<tr><td>Quel est le mtro le plus proche ? </td><td><? echo $Hmet->normal(); ?></td></tr>

<tr><td>Type ou spcialits </td><td><? echo $Hgen->normal(); ?></td></tr>
<tr><td>Il est grand comme... </td><td><? echo $Htai->normal(); ?></td></tr>
<tr><td>L'ambiance y est </td><td><? echo $Hamb->normal(); ?></td></tr>
<tr><td>Les horaires </td><td><? echo $Hhor->normal(); ?></td></tr>
<tr><td>Les prix : </td><td><? echo $Hpri->normal(); ?></td></tr>
</table>

<h2>Et vous ?</h2>
<table border=0>
<tr><td>Votre nom : </td><td><? echo $Hpse->normal(); ?></td></tr>
<tr><td>Votre adresse e-mail : </td><td><? echo $Hema->normal(); ?></td></tr>
<tr><td>prive <? echo $Hsec->normal(); ?></td><td><i>(case  cocher pour ne 
pas voir apparaitre votre adresse sur la page de description du resto)</i></td></tr>
<tr><td colspan=2>Votre commentaire sur ce resto ?</td></tr>
</table>
<? echo $Hcom->normal(); ?><br>
En somme : <? echo $Havi->normal(); ?>
<h2>C'est ok ?</h2>
<input type=submit value="Mmmm... Envoyez !!!">
<input type=reset value="Mmmm... Annulez tout !!!">
Revenir  la 
<?
	echo lien('script_check_new.php3', 'page des nouveaux restos');
?>
</form>
</body>
</html> 
