<?
/* Mmmm !!! A database-driven website with HTML/php3/mySQL
 * (C) Copyright Pierre Dittgen	1999-2000
 * Pierre.Dittgen@bigfoot.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as by published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *                         
 * This program is distributed in the hope that it will entertaining,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.   
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

	include 'cfg/setenv.php3';
	require "class_bd.php3";
	AssertBd();
?>
<html>
<head>
<? 
	require "lib_misc.php3";
	echo StyleSheet('../../css/admin.css');
?>
<title>
Mmmm ! un nouveau commentaire !
</title>
</head>
<body>
<h1>Mmmm !<br>
Un nouveau commentaire !</h1>
<?
	require "class_commentairebd.php3";
	require "class_commentaire.php3";

	// Si on vient de la page add_comment
	// on a pu modifier des champs et alors il faut prendre en compte
	// ces infos et non celles de la base
	if (isset($id) && ($id != ""))
	{
		$comm	= new Commentaire();
	}
	else
	{
		$cb		= new commentaireBd();
		$ct		= $cb->GetCommentaireById($ID, 'tempS');
		$comm	= new Commentaire($ct);
	}

	// Si c'est la premire tape 
	// de vrification du formulaire...
	if ($step == 'first')
	{
		echo "<h2>Remarques</h2>\n";
		// Si les champs principaux sont renseigns
		if ($comm->infosOk())
		{
			// Si pas d'erreur
			echo "Merci d'avoir rempli consciencieusement ce formulaire<br>\n";

			// Intitul des boutons de formulaires
			$submit1	= "Envoyer !";
			$submit2	= "Faire une modification";

			// On teste les warnings
			if (is_array($comm->warnings()))
			{
				echo "Malgr votre vigilance de tous les instants, quelques\n";
				echo "informations sont passes  la trappe...<br>\n";
				echo "Entre autres :<br>\n";
				echo "<ul>\n";
				
				$warns = $comm->warnings();
				for ($i=0; $i<count($warns); $i++)
					echo "<li>", $warns[$i], "\n";

				echo "</ul>\n";
				echo "Elles ne sont pas indispensables mais si c'est un oubli,\n";
				echo "n'hsitez pas  complter le formulaire et  le\n";
				echo "renvoyer, merci.\n";

				$submit1	= "Envoyer tout de m&ecirc;me";
				$submit2	= "Complter les infos manquantes";
			}

			// Et des infos de l'expditeur
			echo "<h2>Votre commentaire</h2>\n";
			$comm->printDetail();

			// Envoyer tel quel
			echo "<table border=0><tr><td>";
			echo "<form action=\"script_check_comment.php3\" method=\"post\">\n";
			echo $comm->hidden();
			echo "<input type=hidden name=step value=done>\n";
			echo "<input type=submit value=\"$submit1\">\n";
			echo "</form>\n";

			// Modifier les infos
			echo "</td><td>";
			echo "<form action=\"script_add_comment.php3\" method=\"post\">\n";
			echo $comm->hidden();
			echo "<input type=submit value=\"$submit2\">\n";
			echo "</form>\n";

			// Retour au sommaire
			echo "</td><td>";
			echo lien('sommaire', 'Retour au sommaire');
			echo "</td></tr></table>\n";
		}
		// Il y a des erreurs
		else
		{
			// Rcupration des erreurs

			echo "Dans votre empressement  nous faire connaitre ce nouveau\n";
			echo "resto, vous en avez oubli des informations importantes.<br>\n";
			echo "Et plus prcisment :<br>\n";
			echo "<ul>\n";
			$errs = $comm->errors();
			for ($i=0; $i<count($errs); $i++)
				echo "<li>", $errs[$i], "\n";
			echo "</ul>\n";

			// Et des infos de l'expditeur
			echo "<h2>Votre commentaire</h2>\n";
			$comm->printDetail();

			// Modifier les infos
			echo "<table><tr><td>";
			echo "<form action=\"script_add_comment.php3\" method=\"post\">\n";
			echo $comm->hidden();
			echo "<input type=submit value=\"Complter les infos manquantes\">\n";
			echo "</form>\n";

			// Retour au sommaire
			echo "</td><td>";
			echo lien('sommaire', "Retour au sommaire");
			echo "</td></tr></table>\n";
		}

	}
	// Si on vient d'ajouter un commentaire...
	elseif ($step == 'done')
	{
		require "class_HTMLelts.php3";

		// Ajout de la date et de l'heure
		$comm->set('date_entree', date("YmdHis"));

		// table commentaires
		$cb		= new commentaireBd();

		// Ajout dans la base de production
		$hash	= $comm->data();
		$cb->AddCommentaire($hash, 'prod');
		
		// Il faut alors le retirer de la base temporaire
		$cb->DeleteCommentaire($hash['id'], 'tempS');

		echo "<h2>C'est fait</h2>\n";
		if ($comm->get("e_mail") != "")
		{
			// Rcupration du resto dans la base
			include "class_restobd.php3";
			$rb		= new restoBd();
			$resto	= $rb->GetRestoById($comm->get('resto_id'), 'prod');

			echo "Attention ! ne pas oublier d'envoyer un e-mail  ";
			printf("%s (%s) ", $comm->get('pseudo'), $comm->get('e_mail'));
			echo "du genre :<br>\n";
			echo "<pre><font size=+2>\n";
			echo "To: ", $comm->get('e_mail'), "\n\n";
			echo "Subject: Mmmmerci !!!\n";
			echo "Salut ", $comm->get('pseudo'), ",\n";
			echo "Merci pour ton commentaire sur '";
			echo $resto['nom'], "'.\nIl est maintenant en ligne,";
			echo "  l'adresse :\n";
			echo "http://mmmm.free.fr/scripts/script_detail_resto.php3?id=", $comm->get('resto_id'), "\n\n";
			echo "A bient&ocirc;t !\n";
			echo "===================================\n";
			echo "=   ,     Mmmm !!!\n";
			echo "=  (   /  \n";
			echo "=   ) /   e-mail: mmmm@free.fr\n";
			echo "= (__@)   web: http://mmmm.free.fr\n";
			echo "===================================\n";
			echo "</font></pre>\n";

			echo "Pour envoyer le mail, c'est ";
			echo lien('http://imp.free.fr', 'ici', 'target="blank"');
			echo " (ouverture d'une nouvelle fen&ecirc;tre)<br><br>\n";
		}
		else
		{
			echo $comm->get('pseudo'), " n'a pas laiss d'adresses e-mail. ";
			echo "Toujours a de moins  faire...\n";
		}
		echo "<br>";
		echo lien('script_check_new.php3', 'retour  la page des nouveauts');
		echo "\n";

		// Retour au sommaire
		echo lien('sommaire', 'retour au sommaire');
	}


?>
</body>
</html> 
