<?
/* Mmmm !!! A database-driven website with HTML/php3/mySQL
 * (C) Copyright Pierre Dittgen	1999-2000
 * Pierre.Dittgen@bigfoot.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as by published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *                         
 * This program is distributed in the hope that it will entertaining,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.   
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

	include 'cfg/setenv.php3';
	require "class_bd.php3";
	AssertBd();
?>
<html>
<head>
<title>
Mmmm !!! : liste par arrondissement
</title>
<? 
	require "lib_misc.php3";
	if (!isset($admin))
			echo StyleSheet('../css/resto.css');
	else	echo StyleSheet('../css/admin.css');
?>
</head>
<body>
<a name=top><h1>Mmmm !!!<br>
liste par arrondissement</h1>
Des restos, il y en a beaucoup, mais y-en-t-il prs de chez vous ?<br>
Ici les restos sont classs par arrondissement. Pour avoir plus d'infos sur un resto,
cliquez sur son nom. Bonne pioche !
<br>
<br>
<?
	require "const_resto.php3";
	require "class_resto.php3";
	require "class_restobd.php3";

	// Cration d'un handler de resto
	$rb = new restoBd();

	// Rcupration des rgions contenant un resto
	// et des restos classs par rgions
	$regs	= $rb->GetRegions();
	$nb		= $rb->GetRestosParRegion();

	if ($nb == 0)
	{
		echo "Pas de restos dans la base...\n";
	}
	else
	{
		// Affichage des arrondissements avec un lien quand il y a des restos
		for ($region=1; $region<27; $region++)
		{
			echo "[ "; 
			if ($regs[$region])
					echo lien("#$region", $libelleArrdt[$region]);
			else	echo $libelleArrdt[$region];
			echo " ]\n";
		}
		$region="";
		echo "<hr>\n";

		// Lecture des restos un par un
		for ($r=0; $r<$nb; $r++)
		{
			$resto		= $rb->GetRestoResult();
			$o_resto	= new Resto($resto);
	
			// Nouvel arrondissement
			if ($region != $o_resto->get('region'))
			{
				if ($region)
					print "</ul>\n";
				$region	= $o_resto->get("region");
				echo "<a name=$region><h2>", $libelleArrdt[$region], 
					  "</h2>\n<ul>\n";
			}

			// Affichage du resto
			$o_resto->printResume();
		}
	}
	
?>
<center>
<?
	echo lien('../index.html', 'retour');
?>
</center>
</body>
</html> 
