<?
/* Mmmm !!! A database-driven website with HTML/php3/mySQL
 * (C) Copyright Pierre Dittgen	1999-2000
 * Pierre.Dittgen@bigfoot.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as by published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *                         
 * This program is distributed in the hope that it will entertaining,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.   
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

	include 'cfg/setenv.php3';
	require "class_bd.php3";
	AssertBd();
?>
<html>
<head>
<title>
Mmmm !!! Nouveaux restos...
</title>
<?
	require "lib_misc.php3";
	echo StyleSheet('../css/resto.css');
?>
</head>
<body>
<h1>Mmmm !!!<br>
Les nouveaux restos...</h1>
<h2>Quoi ?</h2>
Eh oui, rgulirement de nombreux gourmets ajoutent des restos dans la base
de Mmmm !!!. Pour consulter les ajouts les plus rcents, vous &ecirc;tes sur
la bonne page !<br>
<?

	///////////////////////////////////////////////////////////
	//// RESTOS DU JOUR ///////////////////////////////////////
	require "class_resto.php3";
	require "class_restobd.php3";

	$rb	= new restoBd();
	$nb	= $rb->GetRestosDuJour();
	if ($nb > 0)
	{
		echo h2("Restos du jour (le " . date("d/m/Y") . ")"), "\n";
		echo $nb, " resto(s) ajout(s) aujourd'hui<br>\n";

		echo "<ul>\n";
		// Lecture des restos un par un
		for ($r=0; $r<$nb; $r++)
		{
			$resto	= $rb->GetRestoResult();

			$o_resto	= new Resto($resto, 'array');
			$o_resto->printResume();
		}
		echo "</ul>\n";
	}

	///////////////////////////////////////////////////////////
	//// RESTOS DU MOIS ///////////////////////////////////////
	require "const_misc.php3";

	$aujourdhui = getdate();
	$mois		= $aujourdhui['mon'];

	$suffixe = date("/m/Y");

	$rb	= new restoBd();
	$nb	= $rb->GetRestosDuMois();
	if ($nb > 0)
	{
		echo h2("Restos du mois (" . $libelleMois[$mois] . ")"), "\n";
		$jour = 0;

		// Pour tous les jours du mois avec de nouveaux restos
		for ($r=0; $r<$nb; $r++)
		{
			// Rcupration du resto et du jour associ
			$resto		= $rb->GetRestoResult();
			$o_resto	= new Resto($resto, 'array');
			$j_resto	= $o_resto->getNumJour();
			
			// Si c'est un nouveau jour
			if ($jour != $j_resto)
			{
				if ($jour != 0)
					echo "</ul>";
				$jour	= $j_resto;

				// On affiche le jour
				echo h3("le $jour$suffixe");
				echo "<ul>\n";
			}

			// Puis le resto
			$o_resto->printResume();
		}
		echo "</ul>\n";
	}

	echo "<br>\n";
	echo lien('sommaire', "Retour au sommaire");
?>
</body>
</html>

